var basePath = "http://tour.leyoujisan.com/business";
//var basePath = "http://n4t37c.natappfree.cc/business";
/**
 * 基础请求
 * @param {Object} dataSource
 */
function baseRequest(dataSource) {
	$.ajax({
		type: 'POST',
		dataType: "json",
		url: basePath + "/" + dataSource.url,
		data: dataSource.param,
		success: function(data) {
			dataSource.success(data);
		},
		error: function(e) {
			console.log(JSON.stringify(e));
			dataSource.error();
		}
	});

	function openViewWithFire(key, method, param) {
		var page = getWebviewPage(key);
		if(null == page) {
			page = preLoadPage(key);
		}
		mui.fire(page, method, param);
		mui.openWindow({
			id: key
		});

	}
}

/**
 * 获取webview页面
 * @param {Object} key
 */
function getWebviewPage(key) {
	return plus.webview.getWebviewById(key);
}
/**
 * 
 * @param {Object} key 页面标识
 * @param {Object} method 自定义方法
 * @param {Object} param 参数
 */
function openViewWithFire(key, method, param) {
	var page = getWebviewPage(key);
	if(null == page) {
		page = preLoadPage(key);
	}
	mui.fire(page, method, param);
	mui.openWindow({
		id: key
	});

}
/**
 * 预加载页面
 * @param {Object} key
 */
function preLoadPage(key) {
	var page = mui.preload({
		url: key + ".html",
		id: key,
	});
	return page;
}

/**
 * 初始化登陆信息
 */
function logouts() {
	window.localStorage.removeItem("user_name");
	window.localStorage.removeItem("user_pwd");
	window.localStorage.removeItem("itemId");
	window.localStorage.removeItem("itemName");
	window.localStorage.removeItem("appuserId");
	window.localStorage.removeItem("scenicId");
	openViewWithFire("../login", "init", {});
}

/**
 * mui.ajax
 * 带请求头Authorization的公共入口
 * @param {Object} ajaxrequire
 * @param {Object} callback
 */
$packageAjax = function(ajaxrequire, callback) {
	_url = ajaxrequire._urls;
	_dataType = ajaxrequire._dataType;
	_method = ajaxrequire._method;
	_data = ajaxrequire._data;

	mui.ajax(_url, {
		data: _data,
		dataType: _dataType,
		type: _method,
		headers: {
			'Authorization': window.localStorage.getItem("Authorization")
		},
		success: function(data) {
			if(data.code == "110" || data.code == "401") {
				mui.alert(data.msg, '', function() {
					logouts();
				});
			} else {
				callback(data);
			}
		},
		error: function(data) {
			mui.alert(data.msg);
		}
	});
}